upnp_timeout.h File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

struct | UPNP_TIMEOUT

## Typedefs

typedef struct UPNP_TIMEOUT | upnp_timeout

## Functions

void | free_upnp_timeout (upnp_timeout *event)
| Free memory associated with event and memory for any sub-elements. More...

## Typedef Documentation

typedef struct UPNP_TIMEOUT upnp_timeout

The upnp_timeout structure definition.

## Function Documentation

void free_upnp_timeout | ( | upnp_timeout * | event | ) |

Free memory associated with event and memory for any sub-elements.

Parameters

  [in] | event | Event which needs to be freed.

Referenced by AutoAdvertise(), free_client_subscription(), GenaAutoRenewSubscription(), genaRenewSubscription(), ScheduleGenaAutoRenew(), and UpnpSendAdvertisement().